Package com.plannaplan.responses.models

# Class CoursesWithGroupsResponse

java.lang.Object
com.plannaplan.responses.models.abstracts.CoursesResponse
com.plannaplan.responses.models.CoursesWithGroupsResponse

    public class CoursesWithGroupsResponse
    extends CoursesResponse

Courses With Groups Api Response . It extends abstract response - CoursesResponse. It was one of first repsones created in system. Later we resigned from asbstract and used settig `spring.jackson.default-property-inclusion = NON_NULL` in properties instead.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CoursesWithGroupsResponse​(com.plannaplan.entities.Course course)` | create new instance
`CoursesWithGroupsResponse​(com.plannaplan.entities.Course course, java.util.List<GroupWithCapacityResponse> lectures, java.util.List<GroupWithCapacityResponse> classes)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<GroupWithCapacityResponse>` | `getClasses()` |
`java.util.List<GroupWithCapacityResponse>` | `getLectures()` |

### Methods inherited from class com.plannaplan.responses.models.abstracts.CoursesResponse

`getId, getName, getSymbol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoursesWithGroupsResponse

public CoursesWithGroupsResponse​(com.plannaplan.entities.Course course)
create new instance

Parameters:
  `course` - course to map to api response

### CoursesWithGroupsResponse

public CoursesWithGroupsResponse​(com.plannaplan.entities.Course course, java.util.List<GroupWithCapacityResponse> lectures, java.util.List<GroupWithCapacityResponse> classes)

Parameters:
  `course` - course to map to api response
  `lectures` - list of api resposnes of lectures
  `classes` - list of api resposnes of classes

## Method Details

### getClasses

public java.util.List<GroupWithCapacityResponse> getClasses()

Returns:
  list of api resposnes of classes

### getLectures

public java.util.List<GroupWithCapacityResponse> getLectures()

Returns:
  list of api resposnes of lectures